Index: frontend/src/Components/Tab/TabFormHotel.js
===================================================================
--- frontend/src/Components/Tab/TabFormHotel.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Tab/TabFormHotel.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,91 +1,102 @@
 import React from "react";
-import { Button, Col, Container, Form, Row } from "react-bootstrap";
-import { FaMagnet } from "react-icons/fa"
-import { HiMagnifyingGlass } from "react-icons/hi2"
+import {Button, Col, Container, Form, InputGroup, Row} from "react-bootstrap";
+import {FaMagnet} from "react-icons/fa"
+import {HiMagnifyingGlass} from "react-icons/hi2"
 import useFormData from "../Hooks/useFormData";
 
 function TabFormHotel() {
 
-  const { formData, onFormChange, setFormData } = useFormData({
-    hotelLocation: undefined,
-    dateFrom: undefined,
-    dateTo: undefined,
-    numBeds: undefined
-  })
+    const {formData, onFormChange, setFormData, onCheckBoxChange} = useFormData({
+        hotelLocation: undefined,
+        dateFrom: undefined,
+        dateTo: undefined,
+        numBeds: undefined,
+        flexible: false,
+    })
 
-  return (
-    <Form className='rounded-5' >
-      <Row>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="text"
-              placeholder="Каде ќе патувате?:"
-              id="location"
-              name="hotelLocation"
-              value={formData.hotelLocation}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="location">Локација:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="date"
-              placeholder="Датум на пристигнување:"
-              id="dateFrom"
-              name="dateFrom"
-              value={formData.dateFrom}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="dateFrom">Датум на пристигнување:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="date"
-              placeholder="Датум на заминување:"
-              id="dateTo"
-              name="dateTo"
-              value={formData.dateTo}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="dateTo">Датум на заминување:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="number"
-              placeholder="Број на гости:"
-              id="floatingPassengers"
-              name="numBeds"
-              value={formData.numBeds}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="floatingPassengers">Број на гости:</label>
-          </Form.Floating>
+    return (
+        <Form className='rounded-5'>
+            <Row>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="text"
+                            placeholder="Каде ќе патувате?:"
+                            id="location"
+                            name="hotelLocation"
+                            value={formData.hotelLocation}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="location">Локација:</label>
+                    </Form.Floating>
+                    <div className="mb-3">
+                        <Form.Check
+                            type={"checkbox"}
+                            id={`default-checkbox}`}
+                            label={`флексибилност +- 3 дена`}
+                            onChange={onCheckBoxChange}
+                            name={'flexible'}
+                            value={formData.flexible}
+                        />
+                    </div>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="date"
+                            placeholder="Датум на пристигнување:"
+                            id="dateFrom"
+                            name="dateFrom"
+                            value={formData.dateFrom}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="dateFrom">Датум на пристигнување:</label>
+                    </Form.Floating>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="date"
+                            placeholder="Датум на заминување:"
+                            id="dateTo"
+                            name="dateTo"
+                            value={formData.dateTo}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="dateTo">Датум на заминување:</label>
+                    </Form.Floating>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="number"
+                            placeholder="Број на гости:"
+                            id="floatingPassengers"
+                            name="numBeds"
+                            value={formData.numBeds}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="floatingPassengers">Број на гости:</label>
+                    </Form.Floating>
 
-          <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" 
-            onClick={(e) => {
-              e.preventDefault();
-              window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
-            }}>
-              <span className="ikona my-1"><HiMagnifyingGlass/></span>
-              <span className="ikona mx-3">Пребарај</span>
-            </Button>
-          </Form.Group>
-        </Col>
+                    <Form.Group className="my-1">
+                        <Button type="submit" style={{backgroundColor: "#159895"}} size="lg"
+                                onClick={(e) => {
+                                    e.preventDefault();
+                                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}/${formData.flexible}`
+                                }}>
+                            <span className="ikona my-1"><HiMagnifyingGlass/></span>
+                            <span className="ikona mx-3">Пребарај</span>
+                        </Button>
+                    </Form.Group>
+                </Col>
 
-      </Row>
-    </Form>
-  );
+            </Row>
+        </Form>
+    );
 }
 
Index: frontend/src/Components/Tab/TabFormTransport.js
===================================================================
--- frontend/src/Components/Tab/TabFormTransport.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Tab/TabFormTransport.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -2,6 +2,15 @@
 import { Button, Col, Container, Form, Row } from "react-bootstrap";
 import { HiMagnifyingGlass } from "react-icons/hi2"
+import useFormData from "../Hooks/useFormData";
 
 function TabFormTransport() {
+
+  const { formData, onFormChange, setFormData } = useFormData({
+    from: undefined,
+    to: undefined,
+    date: undefined,
+    numPassengers: 0
+  })
+
   return (
     <Form>
@@ -14,4 +23,7 @@
               placeholder="Од:"
               id="floatingFrom"
+              value={formData.from}
+              name={'from'}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingFrom">Од:</label>
@@ -25,4 +37,7 @@
               placeholder="До:"
               id="floatingTo"
+              name={'to'}
+              value={formData.to}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingTo">До:</label>
@@ -36,4 +51,7 @@
               placeholder="Датум:"
               id="floatingDate"
+              name={'date'}
+              value={formData.date}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingDate">Датум:</label>
@@ -46,10 +64,16 @@
               type="number"
               placeholder="Број на патници:"
+              name={'numPassengers'}
               id="floatingPassengers"
+              value={formData.numPassengers}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingPassengers">Број на патници:</label>
           </Form.Floating>
           <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg">
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" onClick={(e) => {
+              e.preventDefault();
+              window.location.href = `/search/transport/${formData.from}/${formData.to}/${formData.date}/${formData.numPassengers}`
+            }}>
               <span className="ikona my-1"><HiMagnifyingGlass/></span>
               <span className="ikona mx-3">Пребарај</span>
Index: frontend/src/Components/TransportDetails/FinalPoint.js
===================================================================
--- frontend/src/Components/TransportDetails/FinalPoint.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/TransportDetails/FinalPoint.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -17,5 +17,5 @@
     <>
       <Row>
-        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
+        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-md-4" style={{paddingLeft: "2.6rem"}}>
             <h5 className="m-auto">{getTimeAsString(props.time)}</h5>
         </Col>  }
Index: frontend/src/Components/TransportDetails/Line.js
===================================================================
--- frontend/src/Components/TransportDetails/Line.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/TransportDetails/Line.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -2,7 +2,5 @@
 
 const Line = (props) => {
-    console.log(props.left)
-    const left = props.left === "true" ? "9.08rem" : "2.6rem";
-    console.log({borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"})
+    const left = props.left === "true" ? "1.8rem" : "1.85rem";
     return (<>
         <div style={{borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"}}></div>
Index: frontend/src/Components/TransportDetails/Waypoint.js
===================================================================
--- frontend/src/Components/TransportDetails/Waypoint.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/TransportDetails/Waypoint.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -16,5 +16,4 @@
     }
 
-<<<<<<< HEAD
     return (
         <>
@@ -58,27 +57,4 @@
         </>
     );
-=======
-  return (
-    <>
-      <Row className="d-flex flex-row gap-0">
-      {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
-            <h5 style={{color: props.routes === "true" ? "white" : "" }} className="m-auto">{getTimeAsString(props.time)}</h5>
-        </Col>}
-        <Col md="auto">
-          <RxDot size={"4rem"} color="#159895"></RxDot>
-        </Col>
-        <Col className="d-flex flex-column justify-content-center">
-          <h3 className="my-auto" style={{...style, fontSize: props.routes === "true" ? "1.3rem" : "", color: props.routes === "true" ? "#708090	" : ""}}>{props.city}</h3>
-        </Col>
-      {props.left !== "true" && <Col className="d-flex flex-column justify-content-center">
-            <h5>{getTimeAsString(props.time)}</h5>
-        </Col>}
-      </Row>
-      <Row>
-      <Line left={props.left}> </Line>
-      </Row>
-    </>
-  );
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 };
 
Index: frontend/src/Components/TransportEdit/TransportEditTab.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/TransportEdit/TransportEditTab.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -9,11 +9,19 @@
 import TransportListing from "./TransportListing";
 import useGet from "../Hooks/useGet";
+import ReservationListing from "../HotelEdit/ReservationListing";
 
 function TransportEditTab(props) {
   const [activeTab, setActiveTab] = useState("/hotel");
-  const link = "/transport/" + props.displayRoute.transportID + "/available";
-  console.log(props.displayRoute)
-  const [changed, setChanged] = useState(0)
-  const { data, setData, isLoading, getData } = useGet(link, changed);
+  console.log(props)
+
+
+  const {
+    data,
+    isLoading,
+    setData,
+    getData,
+    setChanged: dhanged
+  } = useGet(`/transport/${props.displayRoute.transportID}/reservations/active`)
+
 
 
@@ -75,5 +83,9 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            <AddNew type="restaurant"/>
+            {!isLoading && data.map((res) => {
+              return (
+                  <ReservationListing type={'transport'} data={res}/>
+              )
+            })}
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/TransportEdit/TransportListing.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/TransportEdit/TransportListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -9,6 +9,4 @@
 
     //const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
-    console.log(props.data)
-    console.log(props.data.from)
     return (<>
         <a href="#" style={{textDecoration: "none", color: "black"}}>
@@ -34,5 +32,4 @@
                     <Col className="d-flex flex-column justify-content-center" style={{textAlign: "left"}}>
                         <h2>{props.data.from} - {props.data.to}</h2>
-                        {/* <h6>{props.data.routeCities}</h6> */}
                         <h6>{props.data.routes.map(x => x).join(", ")}</h6>
                     </Col>
@@ -40,6 +37,5 @@
                     <Col className="d-flex flex-column justify-content-center align-content-center">
                         <h5>Цена:</h5>
-                        {/* <h4>{props.data.routePrice}</h4> */}
-                        <h4>99$</h4>
+                         <h4>{props.data.maxPrice}$</h4>
                     </Col>
                 </Row>
Index: frontend/src/Components/UserPanel/HotelReservationListing.js
===================================================================
--- frontend/src/Components/UserPanel/HotelReservationListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/HotelReservationListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -12,5 +12,6 @@
 import data from "bootstrap/js/src/dom/data";
 import {AiOutlinePlusCircle} from "react-icons/ai";
-import {MdOutlineRateReview} from "react-icons/md";
+import { MdCancel } from "react-icons/md";
+import { MdOutlineRateReview } from "react-icons/md"
 import useFormData from "../Hooks/useFormData";
 import useCreate from "../Hooks/useCreate";
@@ -26,4 +27,5 @@
 
     console.log(props.data)
+    const { createEntity } = useCreate();
     const dateFormatter = (str) => {
         const inputDate = new Date(str);
@@ -114,4 +116,18 @@
                         <h3>Вкупна цена: <br></br>{props.data.transportRoute.price}$</h3>
                     </Col>}
+                {(!props.past) && <Col className="d-flex flex-column justify-content-center align-content-center">
+                    {<Container id={'ocn'} onClick={(e) => {
+                        console.log(e.target)
+                        if (e.target.id === 'icon') {
+                            createEntity(`/restaurant/${props.data.reservationId}/cancel`, props.setChanged, props.setChanged)
+                            window.location.href="/reservations"
+                        }
+                    }}>
+                        <h5 id={'icon'}>Откажи<br/>резервација</h5>
+                        <div className="d-flex justify-content-center align-content-center">
+                            <MdCancel size={50} color="#159895"/></div>
+
+                    </Container>}
+                </Col>}
                 {(props.past) && <Col className="d-flex flex-column justify-content-center align-content-center">
                     {!props.data.reviewed && <Container id={'ocn'} onClick={(e) => {
@@ -132,6 +148,6 @@
             </Row>
         </Container>
-        {props.type === 'hotel' && <HotelReservationModal show={show} handleClose={handleClose} data={props.data}/>}
-        <ReviewModal type={props.type} showReview={showReview} handleCloseReview={handleCloseReview} data={props.data}/>
+        {props.type === 'hotel' && <HotelReservationModal setChanged={props.setChanged} show={show} handleClose={handleClose} data={props.data}/>}
+        <ReviewModal setChanged={props.setChanged} type={props.type} showReview={showReview} handleCloseReview={handleCloseReview} data={props.data}/>
     </>)
 }
Index: frontend/src/Components/UserPanel/HotelReservationModal.js
===================================================================
--- frontend/src/Components/UserPanel/HotelReservationModal.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/HotelReservationModal.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -5,6 +5,9 @@
 import {TbToolsKitchen2} from "react-icons/tb";
 import React from "react";
+import useCreate from "../Hooks/useCreate";
 
 const HotelReservationModal = (props) => {
+
+    const {createEntity} = useCreate();
 
     const dateFormatter = (str) => {
@@ -17,4 +20,6 @@
             hour12: false,
         };
+
+        console.log(props)
 
         return inputDate.toLocaleString('de-DE', options);
@@ -189,4 +194,11 @@
                         Затвори
                     </Button>
+                    <Button variant="danger" onClick={() => {
+                        createEntity(`/hotel/${props.data.reservationId}/cancel`, props.setChanged)
+                        props.handleClose()
+                    }
+                    }>
+                        Откажи резервација
+                    </Button>
                 </Modal.Footer>
             </Modal>
Index: frontend/src/Components/UserPanel/PastHotelReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastHotelReservations.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/PastHotelReservations.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,5 +10,5 @@
         <>
             {!isLoading && data.map((res) => {
-                return (<HotelReservationListing past={true} data={res} type={'hotel'}></HotelReservationListing>)
+                return (<HotelReservationListing setChanged={setChanged} past={true} data={res} type={'hotel'}></HotelReservationListing>)
             })}
             {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
Index: frontend/src/Components/UserPanel/PastRestaurantReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastRestaurantReservations.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/PastRestaurantReservations.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -11,5 +11,6 @@
         <>
             {!isLoading && data.map((res) => {
-                return (<HotelReservationListing past={true} data={res} type={'restaurant'}></HotelReservationListing>)
+                console.log(res)
+                return (<HotelReservationListing setChanged={setChanged} past={true} data={res} type={'restaurant'}></HotelReservationListing>)
             })}
             {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
Index: frontend/src/Components/UserPanel/PastTransportReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastTransportReservations.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/PastTransportReservations.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,5 +10,5 @@
         <>
             {!isLoading && data.map((res) => {
-                return (<HotelReservationListing past={true} data={res} type={'transport'}></HotelReservationListing>)
+                return (<HotelReservationListing setChanged={setChanged} past={true} data={res} type={'transport'}></HotelReservationListing>)
             })}
 
Index: frontend/src/Components/UserPanel/ReviewModal.js
===================================================================
--- frontend/src/Components/UserPanel/ReviewModal.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/UserPanel/ReviewModal.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,4 +10,5 @@
         description: "",
     }
+    console.log(props)
 
     const {createEntity} = useCreate();
@@ -80,16 +81,19 @@
                                 ...formData,
                                 hotelId: props.data.hotelId,
-                                userId: 1
+                                userId: 1,
+                                reservationId: props.data.reservationId
                             } :
                             props.type === 'restaurant' ? {
-                                    ...formData,
-                                    restaurantId: props.data.restaurantId,
-                                    userId: 1
-                                } : {
+                                ...formData,
+                                restaurantId: props.data.restaurantId,
+                                userId: 1,
+                                reservationId: props.data.reservationId
+                            } : {
                                 ...formData,
                                 transportId: props.data.transportId,
-                                userId: 1
+                                userId: 1,
+                                reservationId: props.data.reservationId
                             }
-                                createEntity('/review/add', dataToPost)
+                        createEntity('/review/add', dataToPost, props.setChanged)
                         setFormData(dummy)
                         props.handleCloseReview()
Index: frontend/src/Components/useFormNested.js
===================================================================
--- frontend/src/Components/useFormNested.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/useFormNested.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -7,5 +7,5 @@
         console.log(e)
 
-        const dependantRoutes = e.target.parentElement.getAttribute('dependantRoutes').split(',')
+        const dependantRoutes = e.target.name === 'freeSpace' ? e.target.parentElement.getAttribute('dependantRoutes').split(',') : undefined;
         console.log(dependantRoutes)
 
Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,9 +1,5 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-<<<<<<< HEAD
 import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
-=======
-import { Container, Row, Col, Form } from "react-bootstrap";
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -73,6 +69,7 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
+                  value={data.hotelLocation}
                 ></Form.Control>
-                <label htmlFor="location">Локација:</label>
+                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -84,6 +81,7 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
+                  value={from}
                 ></Form.Control>
-                <label htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -95,6 +93,7 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
+                  value={to}
                 ></Form.Control>
-                <label htmlFor="dateTo">Датум на заминување:</label>
+                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -107,5 +106,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label htmlFor="floatingPassengers">Број на гости:</label>
+                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
@@ -117,6 +116,4 @@
                   {data.images.map((image) => {
                     let link = image.url;
-                    console.log("SLIKATAAA")
-                    console.log(image)
                     if (image.url.includes('Desktop')) {
                       link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
